#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerPlanGiftCFGData
{
	//礼包ID
	int mID;
	//需要充值金额
	int mNeedRecharged;
};

class M_ActivitySummerPlanGiftCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanGiftCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanGiftCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySummerPlanGiftCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerPlanGiftCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySummerPlanGiftCFGData> mMapData;
};
